Beware - LA-EA2 not compatible with NEX-5/3

Started Oct 28, 2011 | Discussions thread
ForumParentFirstPreviousNextNext unread
Flat view
franzel
Contributing MemberPosts: 760
Like?
Beware - LA-EA2 not compatible with NEX-5/3
Oct 28, 2011

Bought the LA-EA2 today, for my Nex-5 .

On the box is a sticker stating a firmware update is required to use the adapter with the Nex-5 and Nex-3 .
This updated is supposed to come in 'Winter 2011 or later' .

This information can not be found (by me) on the sony websites I checked; in fairness, Sony.com US only lists the Nex-5N/C3/7 as compatible, while Sony.de (Germany) is listing all Nex models .

Either way, I'm utterly disappointed, to say the least .

A firmware update sometime in the future, for a pricey product that's been advertised to work with all existing Nex cameras, is being sold now, and one learns about the issues from a darn sticker on the box ?!

How hard can it be to release a small LA-EA2 Nex update along with the product release - the code is already implented in the newer models !

Get a move on, Sony - this is ridiculous ...

ForumParentFirstPreviousNextNext unread
Flat view
Post (hide subjects)Posted by
ForumParentFirstPreviousNextNext unread
Keyboard shortcuts:
FForum PPrevious NNext WNext unread UUpvote SSubscribe RReply QQuote BBookmark post MMy threads
Color scheme? Blue / Yellow